{
    "env": {
        "browser": true,
        "es6": true
    },
    "extends": [
        "plugin:react/recommended",
        "airbnb",
        "plugin:@typescript-eslint/recommended",
        "prettier",
        "plugin:prettier/recommended"
    ],
    "globals": {
        "Atomics": "readonly",
        "SharedArrayBuffer": "readonly"
    },
    "parser": "@typescript-eslint/parser",
    "parserOptions": {
        "ecmaFeatures": {
            "jsx": true
        },
        "ecmaVersion": 2018,
        "sourceType": "module"
    },
    "plugins": [
        "react",
        "react-hooks",
        "@typescript-eslint",
        "prettier"
    ],
    "rules": {
        "react/jsx-filename-extension": [1, { "extensions": [".tsx"] }],
        "import/prefer-default-export": "off",
        "import/extensions": [
            "error",
            "ignorePackages",
            {
              "ts": "never",
              "tsx": "never"
            }
        ],
        "prettier/prettier": "error",
        "no-use-before-define": "off",
        "react/react-in-jsx-scope": "off",
        "@typescript-eslint/no-empty-interface": "off",
        "react/no-array-index-key": "off",
        "no-unused-expressions": "off",
        "react/jsx-props-no-spreading": "off",
        "no-param-reassign": "off",
        "@typescript-eslint/explicit-module-boundary-types": "off"
    },
    "settings": {
        "import/resolver": {
            "typescript": {}
        }
    }
}
